## List

**get** `/compute/v1/admin/api-keys`

List API keys

### Query Parameters

- `after_id: optional string`

  Return results after this ID

- `before_id: optional string`

  Return results before this ID

- `limit: optional number`

  Max items to return

- `workspace_id: optional string`

  Filter by workspace ID. If not provided, returns keys across all workspaces.

### Returns

- `data: array of object { id, allowed_ips, created_at, 8 more }`

  - `id: string`

    API key ID

  - `allowed_ips: array of string`

    IP addresses allowed to use this key. An empty array means all IPs are allowed.

  - `created_at: string`

  - `expires_at: string`

    When the key expires. Null if the key does not expire.

  - `is_active: boolean`

  - `key_prefix: string`

    First 12 characters of the key

  - `key_type: "admin" or "workspace"`

    - `"admin"`

    - `"workspace"`

  - `last_used_at: string`

  - `livemode: boolean`

    Whether this is a live API key (false for test keys).

  - `name: string`

    API key name

  - `workspace_id: string`

    Workspace ID if workspace-scoped

- `first_id: string`

  ID of the first item. Use as before_id for the previous page.

- `has_more: boolean`

- `last_id: string`

  ID of the last item. Use as after_id for the next page.

### Example

```http
curl https://api.boltz.bio/compute/v1/admin/api-keys \
    -H "x-api-key: $BOLTZ_API_KEY"
```
